
TYPO3.Flow - Bug # 36518

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: Http
Created: 2012-04-24 Assigned To: Christopher Hlubek
Updated: 2012-04-26 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git master
Subject: Http\Request::createFromEnvironment does not work on CLI
Description

Calling Http\Request::createFromEnvironment gives a notice about an undefined array index for HTTP_HOST and REMOTE_URI.
This should be guarded in the Request implementation.

Associated revisions
Revision 69e38209 - 2012-04-26 10:19 - Christopher Hlubek

[BUGFIX] Guard against missing server global variables

Calling Http\Request::createFromEnvironment() gives a notice about an
undefined array index for HTTP_HOST and REMOTE_URI if used e.g. in
CLI based tests.

This change adds guards against this in the Request implementation.

Change-Id: Ib68c4de2777c651a9a9f1f5769e18eaa6efcfea2
Fixes: #36518
Releases: 1.1

History
#1 - 2012-04-24 16:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10742

#2 - 2012-04-24 16:47 - Christopher Hlubek
- Has patch changed from No to Yes

#3 - 2012-04-25 23:27 - Karsten Dambekalns
- Category set to Http
- Target version set to 1.1

#4 - 2012-04-25 23:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10742

#5 - 2012-04-26 10:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10742

#6 - 2012-04-26 10:22 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
